Open Lighting Architecture: ola::FilePreferenceSaverThread Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
ola::FilePreferenceSaverThread Class Reference

## Detailed Description

The thread that saves preferences

Inheritance diagram for ola::FilePreferenceSaverThread:

## Public Types
typedef std::multimap< std::string, std::string > | PreferencesMap

## Public Member Functions
void | SavePreferences (const std::string &filename, const PreferencesMap &preferences)
void * | Run ()
bool | Join (void *ptr=NULL)
void | Syncronize ()
Public Member Functions inherited from ola::thread::Thread
| Thread (const Options &options=Options())
| Create a new thread with the specified thread options.
virtual | ~Thread ()
| Destructor.
virtual bool | Start ()
| Start the thread and wait for the thread to be running.
virtual bool | FastStart ()
| Start the thread and return immediately.
bool | IsRunning ()
| Check if the thread is running.
ThreadId | Id () const
| Return the thread id.
std::string | Name () const
| Return the thread name.

## Additional Inherited Members
Static Public Member Functions inherited from ola::thread::Thread
static ThreadId | Self ()
| Returns the current thread's id.

## Member Function Documentation

## ◆ Join()

bool ola::FilePreferenceSaverThread::Join | ( | void * | ptr = NULL | ) |
| virtual

Stop the saving thread

Reimplemented from ola::thread::Thread.

## ◆ Run()

void * ola::FilePreferenceSaverThread::Run | ( |  | ) |
| virtual

Called by the new thread.

Implements ola::thread::Thread.

## ◆ Syncronize()

void ola::FilePreferenceSaverThread::Syncronize | ( |  | ) |

This can be used to synchronize with the file saving thread. Useful if you want to make sure the files have been written to disk before continuing. This blocks until all pending save requests are complete.

The documentation for this class was generated from the following files:

- include/olad/Preferences.h
- olad/plugin_api/Preferences.cpp